<template>
  <div>
    <h1 class="mb-8">Have you had chemotherapy treatment?</h1>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="radioSelected"
      >
        {{ choice }}
      </radio-input>
    </div>
    <common-btn
      text="Next"
      :disabled="!radioSelected"
      @click="handleClick"
    />
  </div>
</template>

<script>
import {answersMixin, radioMixin, referMixin} from "@/utils/mixins";

export default {
  mixins: [radioMixin, answersMixin, referMixin],
  name: "YourHealth12",
  data() {
    return {
      choices: [
        'Yes',
        'No'
      ],
      radioHandler: newVal => {
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_12')
      }
    }
  },
  methods: {
    handleClick() {
      if (this.radioSelected === 'Yes') {
        this.setRefer('Let’s chat!', 'We’ll need more information to determine whether a personalized prescription solution is right for you.\n\nA Shapiro MD clinician will reach out shortly to discuss the issue.\n\nIn the meantime, you may benefit from a different formula:')
      } else {
        this.nextStage()
      }
    }
  }
}
</script>

<style scoped>

</style>
